PERTALIFE Bugs - Bug #3431

[ESS-Overtime] perbaikan pada ess overtime dimana jika pada saat mengisi startdate nya today,
maka total overtime hours nya diisi dengan default value nya 0. atau angka nya terbentuk , diambil

dari endtime dikurangi starttime.
02/18/2025 11:13 AM - Muhammad Bintar

Status: Closed

Priority: High

Assignee: M Azid Wahyudi
Category:

Target version:

Start date: 02/18/2025
Due date: 02/24/2025
% Done: 0%
Estimated time: 0.00 hour
Spent time: 1.00 hour

Description

dear tim developer mohon support nya untuk perbaikan pada ess overtime dimana jika pada saat mengisi startdate nya today, maka
total overtime hours nya diisi dengan default value nya 0. atau angka nya terbentuk , diambil dari endtime dikurangi starttime.

karena ada bug jika memilih startdate today maka overtime hours nya kosong, dan menyebabkan error pada saat di ujung ess flow

nya.
error convert string to decimal.
referensi redmine http://remote.minovais.com:3000/redmine/issues/2987
Description;

Duration: 5783

Reason

Total Overtime Hour:

remote.minovais.com:61115
database
remote.minovais.com, 1452
pertalife prod

Start Time Of
Attendance:

End Time of Attendance:

History

#1 - 02/18/2025 11:14 AM - Muhammad Bintar

- Description updated

#2 - 02/18/2025 05:38 PM - Kezia Pawitra Yulianti
- Due date changed from 02/26/2025 to 02/24/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

03/26/2025

1/2



http://remote.minovais.com:3000/redmine/issues/2987

#3 - 02/19/2025 10:25 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
kalau nan gw isi 0

package :
bizproc(method)

makasih

#4 - 02/19/2025 10:31 AM - Muhammad Bintar

- File clipboard-202502191031-gp407.png added

- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah di deploy ke client.
sudah dibuat default value 0
Files
clipboard-202502181109-iehku.png 79.7 KB 02/18/2025 Muhammad Bintar
clipboard-202502191031-gp407.png 141 KB 02/19/2025 Muhammad Bintar
